Validate Access Token

Validates an Access Token, returning its expiry if valid, or an error if invalid.

GET
/identity/v2/auth/access_token/validate

Validates an Access Token, returning its expiry if valid, or an error if invalid.

Authorization

BearerToken APIKey
AuthorizationBearer <token>

Bearer token for user authentication

In: header

apikey<token>

Tenant API Key for authentication

In: query

Response Body

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/identity/v2/auth/access_token/validate"
{
  "access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c",
  "refresh_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c",
  "expires_in": "3600"
}

{
  "ErrorCode": 908,
  "Message": "A parameter is not formatted correctly",
  "Description": "The apikey is a required parameter."
}

{
  "ErrorCode": 901,
  "Message": "The API key is unauthorized",
  "Description": "The provided LoginRadius API key is invalid or is not authorized, please use a valid or authorized LoginRadius API key or check the API key for your LoginRadius account."
}